<template>
  <div class="app-container">
    <search-form/>
    <table-list
      :listLoading="listLoading"
      :data="tableData2"
      :columns="listConfig"
      :currentPage="currentPage"
      :pageSize="pageSize"
      :totalRecords="totalRecords"
      @currentChange="pageHandle"
      @sizeChange="sizeChange"
      :isAdd="true"
      @add="openPopup"
    />
    <dict-edit
      :isShow="isPopupShow"
      :curObj="curObj"
      @close="closePopup"
    />
  </div>
</template>
<script>
import { arrToObj } from '@/utils'
import SearchForm from './components/searchForm/VerifyDtl'
import DictEdit from './components/popup/VerifyDtlEdit'
import baseTable from '_m/baseTable.js'
export default {
  // name: 'basePublicDictSys',
  components: {
    SearchForm,
    DictEdit
  },
  provide () {
    return {
      parentData: this
    }
  },
  mixins: [baseTable],
  data () {
    return {
      apiStr: 'zt.admverify2list',
      searchForm: null,
      isPopupShow: false,
      noCreated: true,
      curObj: {},
      curId: '',
      curPid: '',
    }
  },
  computed: {
    tableData2 () {
      let arr = [...this.tableData]
      arr.map(item => {
        if (Number(item.system) === 1) item.nosys = true
      })
      return arr
    }
  },
  mounted () {
    this.listConfig = {
      rows: [
        { label: '检查项', prop: 'content', align: 'left' },
        { label: '更新人', prop: 'update_by', width: 120 },
        { label: '更新时间', prop: 'update_at', width: 120 },
        // { label: '状态', prop: 'status', type: 'tag', tags: arrToObj(this.$dictData.dictStatus), tagTypeObj: {'1': 'success', '2': 'danger'} },
        { label: '操作', width: 120, type: 'handle2',
          operations: [
            // { labelFor: 'status', disabled: true, func: this.statusHandle, hide: 'nosys',
            //   labelConfig: {
            //     texts: {
            //       1: '停用',
            //       2: '启用'
            //     },
            //     btnTypes: {
            //       1: 'danger',
            //       2: 'success'
            //     }
            //   }
            // },
            { label: '编辑', func: this.openPopup, btnType: 'primary' },
            { label: '删除', func: this.delHandle, btnType: 'danger', hide: 'nosys' },
          ]
        }
      ]
    }
    const query = this.$route.query
    if (query.id) {
      this.curPid = query.id || ''
      this.searchForm = {
        verify1_id: query.id
      }
      this.fetchData()
    }
  },
  methods: {
    delHandle (row) {
      const msgHtml = `确定要删除此选项吗？`
      this.$msg(msgHtml, 'confirm', ()=> {
        this.$api.zt.admverify2del({
          id: row.id,
        }).then(data => {
          this.$msgs(`删除成功！`)
          this.fetchData()
        })
      }, null, true)
    },
    statusHandle (row) {
      const status = Number(row.status) === 1 ? 2 : 1
      const msgText = Number(row.status) === 1 ? '停用' : '启用'
      this.$msg(`确定要${msgText}该字典吗？`, 'confirm', ()=> {
        this.$api.base.dictupdate({
          id: row.id,
          status
        }).then(data => {
          this.$msgs(`${msgText}成功！`)
          this.fetchData()
        })
      }, null, true)
    },
    openPopup (row) {
      this.curObj = row || {}
      this.isPopupShow = true
    },
    closePopup (obj) {
      this.isPopupShow = false
      if (obj) {
        this.fetchData()
      }
    }
  }
}
</script>
